<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<!-- YAML Template Layout for lnApp -->
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="auto" lang="auto">
	<head>
		<title><?php echo $meta->title; ?></title>
		<link rel="shortcut icon" href="<?php echo $meta->shortcut_icon ? $meta->shortcut_icon : '/favicon.ico' ?>" type="image/vnd.microsoft.icon" />
		<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
		<meta http-equiv="Content-Language" content="<?php echo $meta->language; ?>" />
		<meta name="keywords" content="<?php echo $meta->keywords; ?>" />
		<meta name="description" content="<?php echo $meta->description; ?>" />
		<meta name="copyright" content="<?php echo Config::copywrite(); ?>" />
		<!-- JavaScript Detection -->
		<script type="text/javascript">document.documentElement.className += " js";</script>
		<?php echo HTML::style('media/theme/yaml/css/page.css'); ?>
		<?php echo Style::factory(); ?>
		<?php echo Script::factory(); ?>
	</head>
	<body>
		<!-- begin: skip link navigation -->
		<ul id="skiplinks">
			<li><a class="skip" href="#nav">Skip to navigation (Press Enter).</a></li>
			<li><a class="skip" href="#left">Skip to main content (Press Enter).</a></li>
		</ul>
		<!-- end: skip link navigation -->
		<div id="page_margins">
			<div id="page">
				<div id="topnav">
					<div class="langMenu">
						<?php echo Country::icon(Config::instance()->so->country_id); ?>
						<span class="text"><?php echo Config::instance()->so->country->display('name'); ?></span>
						<!-- //@todo Enable contact form -->
						<div style="display:none">
							<span class="text2"> &#124; </span>
							<?php echo HTML::anchor('contact','Contact Us'); ?>
						</div>
						<span class="text2"> &#124; </span>
						<?php echo Config::login_uri(); ?>
					</div>
					<span><?php echo Company::name(); ?></span>
				</div>
				<div id="header">
					<h1><span>&nbsp;</span>&nbsp;</h1>
				</div>
				<!-- begin: main navigation #nav -->
				<div id="nav">
					<div id="nav_main">
						<ul>
							<li id="current"><?php echo HTML::anchor('','Home'); ?></li>
							<li><?php echo HTML::anchor('product/categorys','Products'); ?></li>
							<li><?php echo HTML::anchor('http://helpdesk.graytech.net.au/otrs/faq.pl','FAQ'); ?></li>
						</ul>
					</div>
					<div id="nav_main2">
						<?php echo BreadCrumb::factory(); ?>
					</div>
				</div>
				<!-- end: main navigation -->
				<!-- begin: main content area #main -->
				<table id="main">
					<tr>
						<!-- Left Pane -->
						<td id="left" <?php echo $left ? '' : 'style="display: none;"'?>>
							<!-- begin: #left - first float column -->
							<div id="left_content" class="clearfix">
								<?php echo $left; ?>
							</div>
							<!-- end: #left -->
						</td>
						<!-- Main Body Pane -->
						<td id="center">
							<!-- begin: #center static column -->
							<div id="center_content" class="clearfix">
								<!-- begin: info box -->
								<?php if ((string)$sysmsg) { ?>
								<div id="info_box" class="info" style="display:block;">
									<?php echo $sysmsg; ?>
								</div>
								<?php } ?>
								<!-- end: info box -->
								<?php echo $content; ?>
								<!-- Begin: IE Column Clearing -->
								<div id="ie_clearing">&nbsp;</div>
								<!-- End: IE Column Clearing -->
							</div>
							<!-- end: #center -->
						</td>
						<!-- Right Pane -->
						<td id="right" <?php echo $right ? '' : 'style="display: none;"'?>>
							<!-- begin: #right second float column -->
							<div id="right_content" class="clearfix">
								<?php echo $right; ?>
							</div>
							<!-- end: #right -->
						</td>
					</tr>
				</table>
				<!-- end: #main -->
				<!-- begin: #footer -->
				<div id="shadow"></div>
				<div id="footer"><?php echo $footer; ?></div>
				<!-- end: #footer -->
				<div id="debug">
					<?php if (Kohana::$environment == Kohana::DEVELOPMENT) { ?>
					<div id="kohana-profiler" style="display: none;"><?php echo View::factory('profiler/stats'); ?></div>
					<script type="text/javascript">$("#footer").click(function() {$('#kohana-profiler').toggle();});</script>
					<?php }?>
					<?php if (Kohana::$environment >= Kohana::STAGING) { ?>
					<div id="kohana-session" style="display: none; text-align: left;"><?php echo debug::vars(Session::instance()); ?></div>
					<script type="text/javascript">$("#footer").click(function() {$('#kohana-session').toggle();});</script>
					<?php }?>
				</div>
			</div>
		</div>
	</body>
</html>
